;##################################################################
;
;   Phoenix Plus for TI-83 Plus - MirageOS version
;
;   Programmed by Alex Burt (aburt90@yahoo.com)
;        
;   This program is in the public domain.  There is no warranty.
;
;   This file was last updated May 8, 2004.
;
;##################################################################     

#define __TI83__
#define __MIRAGE__
#define TI83P

#include "ti83plus.inc"
#include "mirage.inc"
#include "keys.i"

backup_storage  =SavesScreen
#define TEXT_MEM SavesScreen+256
GFX_AREA        =plotsscreen   
GRAPH_MEM       =plotsscreen

D_ZT_STR        =_puts
D_HL_DECI       =_disphl
TX_CHARPUT      =_putc
CLEARLCD        =_ClrLCDFull
CURSOR_ROW      =currow
CURSOR_COL      =curcol
ionDetect       =idetect

#define ROM_CALL(kewl_routinez) bcall(kewl_routinez)

        .org    $9D93
        .db     $BB,$6D
        ret
        .db     1
	.db %00001000,%00000000
	.db %00000100,%00111100
	.db %00001000,%00100010
	.db %00000100,%00100010
	.db %00001000,%00111100
	.db %00000100,%00100000
	.db %00000000,%00101010
	.db %00000000,%00101110
	.db %00000000,%00101010
	.db %00001100,%00100000
	.db %00001100,%00101010
	.db %01011110,%10100100
	.db %01111111,%10101010
	.db %01111111,%10000000
	.db %00010010,%00000000

#include "phoenixz.i"

        .db     "Phoenix Plus - Alex Burt",0

start:  di
        ld      de,backup_storage       ; Save data after GRAPH_MEM
        ld      hl,GFX_AREA+768
        ld      bc,256
        ldir
        call    main
        ld      (iy+13),6
restore_memory:
        ld      hl,backup_storage      ; Restore data after GRAPH_MEM
        ld      de,GFX_AREA+768
        ld      bc,256
        ldir
        ret

GET_KEY:
        bcall(_getcsc)
        ret

;############## Include remainder of game files

#include "main12.asm"
#include "extlev12.asm"
#include "exchange.asm"
#include "lib12.asm"
#include "lib.asm"
#include "new12.asm"
#include "disp12.asm"
#include "drwspr.asm"
#include "player12.asm"
#include "shoot.asm"
#include "bullets.asm"
#include "enemies.asm"
#include "init.asm"
#include "enemyhit.asm"
#include "collide.asm"
#include "ebullets.asm"
#include "hityou.asm"
#include "shop12.asm"
#include "helper.asm"
#include "eshoot.asm"
#include "score12.asm"
#include "emove.asm"
#include "images.asm"
#include "data.asm"
#include "levels.asm"
#include "storage.asm"

        .end
